Subject: bug#36649: 27.0.50; pure space and pdumper

From: Robert Pluim <[email-masked]>
Date: Mon, 22 Jul 2019 20:45:50 +0200

>>>>> On Mon, 22 Jul 2019 15:03:55 +0000, Pip Cet <[email-masked]> said:

    Pip> On Mon, Jul 22, 2019 at 8:14 AM Robert Pluim <[email-masked]> wrote:
    >> >>>>> On Mon, 22 Jul 2019 03:58:29 +0000, Pip Cet <[email-masked]> said:
    >> 
    Pip> On Sun, Jul 21, 2019 at 8:20 PM Robert Pluim <[email-masked]> wrote:
    Pip> Can you try again with this incremental patch?
    >> >>
    >> >> I offer two alternatives, both of which build and run:
    >> 
    Pip> Oops, sorry. I think the second alternative might break
    Pip> live_vector_holding, though?
    >> 
    >> OK. Hereʼs hoping no other code in emacs tries to create a 0-length
    >> vector :-)

    Pip> By modifying header.size? That would be a problem. (I'd say no one
    Pip> should ever do it, but I'd actually like to suggest it for hash
    Pip> tables...)

    Pip> Attaching an updated patch.

It works for me. I think Iʼm with Eli on the prospect of putting this
in emacs-27, there are other things Iʼd like to see fixed first
(thereʼs still a potential TLS 1.3 issue that Iʼve not had time to
look at).

Robert